import loadTraits from './traits';
import loadBlocks from './blocks';
import loadComponents from './components';

export default (editor, opts = {}) => {

  window.lang = {
      method: "Metoda",
      action: "Akcja",
      state: "Stan",
      for: "Dla",
      field: "Pole",
      textArea: "Obszar tekstowy",
      select: 'Lista rozwijana',
      checkboxField: 'Pole checkbox',
      radioField: 'Pole radio',
      button: 'Przycisk',
      name: 'Nazwa',
      placeholder: 'Tekst zastępczy',
      value: 'Wartość',
      required: 'Wymagane',
      type: 'Typ',
      options: 'Opcje',
      checked: 'Zaznaczone',
      text: 'Tekst',
      email: 'Email',
      password: 'Hasło',
      number: 'Numer',
      submit: 'Wyślij',
      reset: 'Reset',
      label: 'Etykieta',
      form: 'Formularz',
      selectOption: '- Wybierz opcję -',
      option: 'Opcja',
      normal: 'Normal',
      success: 'Sukces',
      error: 'Błąd',
      forms: 'Formularze',
  };

  const config = {
    blocks: ['form', 'input', 'textarea', 'select',
      'button', 'label', 'checkbox', 'radio'],
    labelTraitMethod: window.lang['method'],
    labelTraitAction: window.lang['action'],
    labelTraitState: window.lang['state'],
    labelTraitId: 'ID',
    labelTraitFor: window.lang['for'],
    labelInputName: window.lang['field'],
    labelTextareaName: window.lang['textArea'],
    labelSelectName: window.lang['select'],
    labelCheckboxName: window.lang['checkboxField'],
    labelRadioName: window.lang['checkboxRadio'],
    labelButtonName: window.lang['button'],
    labelTraitName: window.lang['name'],
    labelTraitPlaceholder: window.lang['placeholder'],
    labelTraitValue: window.lang['value'],
    labelTraitRequired: window.lang['required'],
    labelTraitType: window.lang['type'],
    labelTraitOptions: window.lang['options'],
    labelTraitChecked: window.lang['checked'],
    labelTypeText: window.lang['text'],
    labelTypeEmail: window.lang['email'],
    labelTypePassword: window.lang['password'],
    labelTypeNumber: window.lang['number'],
    labelTypeSubmit: window.lang['submit'],
    labelTypeReset: window.lang['reset'],
    labelTypeButton: window.lang['button'],
    labelNameLabel: window.lang['label'],
    labelForm: window.lang['form'],
    labelSelectOption: window.lang['selectOption'],
    labelOption: window.lang['option'],
    labelStateNormal: window.lang['normal'],
    labelStateSuccess: window.lang['success'],
    labelStateError: window.lang['error'],
    category: window.lang['forms'],
    ...opts
  };

  loadComponents(editor, config);
  loadTraits(editor, config);
  loadBlocks(editor, config);
};
